aboutsummaryrefslogtreecommitdiff
path: root/share/hydractl/remove-dep
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2011-08-29 10:22:57 -0300
committerSilvio Rhatto <rhatto@riseup.net>2011-08-29 10:22:57 -0300
commit0377fe20d494106f2bd692c1a5dafbfc187c8154 (patch)
tree8cc88d7bbdb8f3e761d1f40a67278f05c3cd78b6 /share/hydractl/remove-dep
parent8d8d27062978cc85574d32966fd957fafca2d255 (diff)
downloadhydra-0377fe20d494106f2bd692c1a5dafbfc187c8154.tar.gz
hydra-0377fe20d494106f2bd692c1a5dafbfc187c8154.tar.bz2
Adding remove-dep subcommand
Diffstat (limited to 'share/hydractl/remove-dep')
-rwxr-xr-xshare/hydractl/remove-dep21
1 files changed, 21 insertions, 0 deletions
diff --git a/share/hydractl/remove-dep b/share/hydractl/remove-dep
new file mode 100755
index 0000000..bc5c389
--- /dev/null
+++ b/share/hydractl/remove-dep
@@ -0,0 +1,21 @@
+#!/bin/bash
+#
+# Undo apt-get build-dep.
+#
+# See
+# http://www.heirbaut.nl/2011/02/06/remove-build-dependencies-after-apt-get-build-dep/
+# http://www.webupd8.org/2010/10/undo-apt-get-build-dep-remove-build.html
+# http://mikebeach.org/2011/04/undo-apt-get-build-dep/
+
+# Load.
+source $APP_BASE/lib/hydra/functions || exit 1
+hydra_config_load
+
+if [ -z "$1" ]; then
+ echo "usage: `basename $0` <package>"
+ exit 1
+fi
+
+sudo aptitude markauto $(apt-cache showsrc "$1" \
+ | grep Build-Depends \
+ | perl -p -e 's/(?:[\[(].+?[\])]|Build-Depends:|,|\|)//g')